#!/bin/bash
if [ -z $2 ];then
 echo "Usage: $0 11.08.2015 B0823+26"
 exit 1
fi
DATE=$1
SRC=$2
AUTOSCHED="./autosched.sh"
if [ ! -x $AUTOSCHED ];then
 AUTOSCHED=`readlink -f $0`
 AUTOSCHED=`dirname $AUTOSCHED`
 AUTOSCHED="$AUTOSCHED/autosched.sh"
fi
REFORMATTED_DATE=`echo "$DATE" | awk '{print $3"-"$2"-"$1}' FS='.'`
for HOUR in `seq 0 23` ;do 
 HOUR=`echo $HOUR | awk '{printf "%02d",$1}'` 
 MIN=0
 while [ $MIN -ne 60 ] ;do 
  MINSTR=`echo $MIN | awk '{printf "%02d",$1}'` 
  ### Compute end time
  STARTDATESTR=`echo "$DATE.$HOUR.$MINSTR" | awk '{print $3"-"$2"-"$1" "$4":"$5}' FS='.'`
  STARTDATEUNIXSEC=`date -u -d "$STARTDATESTR" +%s`
  ENDDATEUNIXSEC=$[$STARTDATEUNIXSEC+300]
  ENDDATESTR=`date -u -d "@$ENDDATEUNIXSEC" +"%H:%M"`
  ###
  echo -n "$DATE $HOUR:$MINSTR-$ENDDATESTR  "
  $AUTOSCHED $DATE $HOUR:$MINSTR $SRC 5 
  MIN=$[$MIN+5]
 done
done > grt_visibility_profile_"$SRC"_"$REFORMATTED_DATE".txt
